Page MenuHomePhabricator

Add a unittest to verify for assumption cache
ClosedPublic

Authored by hiraditya on Sep 26 2019, 11:39 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

hiraditya created this revision.Sep 26 2019, 11:39 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 26 2019, 11:39 AM
hiraditya updated this revision to Diff 222339.Sep 29 2019, 7:11 PM

rename test

vsk added inline comments.Sep 30 2019, 1:08 PM
llvm/unittests/Transforms/Utils/CodeExtractorTest.cpp
233 ↗(On Diff #222339)

The extended string literal syntax would aid readability here, e.g.

const char* s1 = R"ir(
Hello
World
)ir";
hiraditya updated this revision to Diff 222594.Oct 1 2019, 5:13 AM
hiraditya updated this revision to Diff 222596.Oct 1 2019, 5:24 AM
hiraditya marked an inline comment as done.
vsk accepted this revision.Oct 1 2019, 1:22 PM

Looks great, thanks!

This revision is now accepted and ready to land.Oct 1 2019, 1:22 PM
This revision was automatically updated to reflect the committed changes.